Skip to main content
GET
/
v1
/
transcripts
/
{doc_id}
Get a single earnings call transcript
curl --request GET \
  --url https://api.ivory.finance/v1/transcripts/{doc_id} \
  --header 'X-API-Key: <api-key>'
{
  "doc_id": "<string>",
  "ticker": "<string>",
  "exchange": "<string>",
  "company_name": "<string>",
  "call_date": "2023-12-25",
  "fiscal_year": 123,
  "fiscal_quarter": 123,
  "period_label": "<string>",
  "executives": [],
  "analysts": [],
  "total_words": 123,
  "total_utterances": 123,
  "executive_word_count": 123,
  "analyst_word_count": 123,
  "market_cap_usd": 123,
  "stock_price_at_close": 123,
  "indexed_at": "<string>",
  "markdown_summary": "<string>",
  "markdown_key_metrics": "<string>",
  "markdown_risks": "<string>",
  "markdown_transcript": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

doc_id
string
required

Response

Successful Response

doc_id
string | null
ticker
string | null
exchange
string | null
company_name
string | null
call_date
string<date> | null
fiscal_year
integer | null
fiscal_quarter
integer | null
period_label
string | null
executives
string[]
analysts
string[]
total_words
integer | null
total_utterances
integer | null
executive_word_count
integer | null
analyst_word_count
integer | null
market_cap_usd
integer | null
stock_price_at_close
number | null
indexed_at
string | null
markdown_summary
string | null
markdown_key_metrics
string | null
markdown_risks
string | null
markdown_transcript
string | null